NUMFMT(1)

NUME
numfmt - Convertește numere din/în șiruri de caractere care pot fi citite de om

REZUMAT
numfmt [OPȚIUNE]... [NUMĂR]...

DESCRIERE

Reformatează NUMERELE sau numerele de la intrarea standard, dacă nu sunt specificate niciunul.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--debug
    afișează avertismente despre intrarea nevalidă

-d, --delimiter=X
    utilizează „X”-uri în loc de spații albe pentru delimitarea câmpului

--field=CÂMPURI
    înlocuiește numerele din aceste câmpuri de intrare (implicit=1); a se vedea CÂMPURI, mai jos

--format=FORMAT
    utilizează FORMATul în virgulă mobilă în stil printf; a se vedea FORMAT, mai jos

--from=UNITATE
    scalare automată a numerelor de intrare la UNITATE; implicit este „none”; a se vedea UNITATE, mai jos

--from-unit=N
    specifică dimensiunea unității de intrare (în loc de valoarea implicită 1)

--grouping
    utilizează gruparea de cifre definită de localizare, de exemplu 1.000.000 (ceea ce înseamnă că nu are efect în localizarea C/POSIX)

--header[=N]
    afișează (fără a converti) primele N linii de antet; N este implicit 1 dacă nu este specificat

--invalid=MOD
    modul de eșec pentru numere nevalide: MOD poate fi: „abort” (renunțare, implicit), „fail” (eșec), „warn” (averisment), „ignore” (ignorare)

--padding=N
    umple ieșirea cu N caractere; N pozitiv va fi aliniat la dreapta; N negativ va fi aliniat la stânga; umplutura este ignorată dacă ieșirea este mai largă decât N; implicit este să se adauge automat dacă se găsește un spațiu alb

--round=METODA
    utilizează METODA pentru rotunjire la scalare; METODA poate fi: „up” (în sus), „down” (în jos), „from-zero” (de la zero, implicit), „towards-zero” (spre zero), „nearest” (cel mai apropiat)

--suffix=SUFIX
    adaugă SUFIX la numerele de ieșire și acceptă opțional SUFIX în numerele de la intrare

--to=UNITATE
    scalare automată a numerelor de ieșire la UNITATE; a se vedea UNITATE, mai jos

--to-unit=N
    dimensiunea unității de ieșire (în loc de valoarea implicită 1)

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

  Opțiuni UNITATE:

none
     nu se efectuează auto-scalare; sufixele vor declanșa o eroare

auto
    acceptă sufixul opțional cu una/două litere:

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  acceptă sufixul opțional cu o singură literă:

    1K = 1000, 1M = 1000000, ...

iec acceptă sufixul opțional cu o singură literă:

    1K = 1024, 1M = 1048576, ...

iec-i
    acceptă sufixul opțional cu două litere:

    1Ki = 1024, 1Mi = 1048576, ...

  CÂMPURI acceptă intervale de câmpuri în stilul cut(1):

N   al N-lea câmp, numărat de la 1

N-  de la al N-lea câmp până la capătul liniei

N-M N-M de la câmpul al N-lea la al M-lea câmp (inclusiv)

-M  de la primul la al M-lea câmp (inclusiv)

-   toate câmpurile

Multiple câmpuri/intervale pot fi separate prin virgule

FORMAT trebuie să fie adecvat pentru afișarea unui argument în virgulă mobilă „%f”. Folosirea opțională a ghilimelelor (%'f) va activa --grouping (dacă este acceptată de localizarea curentă). Valoarea opțională a lățimii (%10f) va suplimenta rezultatul. Lățimea opțională de zero (%010f) va umple cu zero numărul. Valorile negative opționale (%-10f) vor alinia ieșirea la stânga. Precizia opțională (%.1f) va înlocui precizia determinată de intrare.

Starea de ieșire este 0 dacă toate numerele de intrare au fost convertite cu succes. În mod implicit, «numfmt» se va opri la prima eroare de conversie cu starea de ieșire 2. Cu --invalid=„fail” se afișează un avertisment pentru fiecare eroare de conversie, iar starea de ieșire este 2. Cu --invalid=„warn” fiecare eroare de conversie este diagnosticată, dar starea de ieșire este 0. Cu --invalid=„ignore” erorile de conversie nu sunt diagnosticate, iar starea de ieșire este 0.

EXEMPLE

    $ numfmt --to=si 1000

    -> „1.0K”

    $ numfmt --to=iec 2048

    -> „2.0K”

    $ numfmt --to=iec-i 4096

    -> „4.0Ki”

    $ echo 1K | numfmt --from=si

    -> „1000”

    $ echo 1K | numfmt --from=iec

    -> „1024”

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTOR
Scris de Assaf Gordon.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la: <https://www.gnu.org/software/coreutils/numfmt>
sau local rulând comanda: «info '(coreutils) numfmt invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.